<script setup lang="ts">
import { useDateStore } from '@/stores/date'
import { useMaterialStore } from '@/stores/material';

const dateStore = useDateStore()
const materialStore = useMaterialStore()
</script>
<template>
  <v-row justify="center">
    <v-dialog
      v-model="materialStore.receiptDialog"
      persistent
      width="500px"
      min-height="800px "
      max-height="auto"
    >
      <v-card>
        <v-card-title class="text-h5 text-center">
          <v-icon size="60px" icon="mdi-warehouse"> </v-icon>
        </v-card-title>

        <v-card-title class="text-h5 text-center">
          <div>Receipt Buy Stock</div>
          <div class="mb-1" style="text-align: end; font-size: 16px">
            {{ dateStore.day }} {{ dateStore.monthEn }} {{ dateStore.year }}
          </div>
          <div class="mb-1" style="text-align: end; font-size: 16px">
            {{ dateStore.formattedHour }}:{{ dateStore.formattedMinute }}
          </div>
          <div class="mb-1" style="text-align: end; font-size: 16px">อุรุมเจ๊าะ สเมาะแง๊ะ</div>
        </v-card-title>

        <v-card-text>
          <v-form ref="refForm">
            <v-table fixed-header max-height="480px">
              <thead>
                <tr>
                  <th style="text-align: start">Item</th>
                  <th style="text-align: center">QTY</th>
                  <th style="text-align: end">AMOUNT</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item of materialStore.StockItem" :key="item.id">
                  <td style="text-align: start">{{ item.name }}</td>
                  <td style="text-align: center">{{ item.unit }}</td>
                  <td style="text-align: end">{{ item.price * item.unit }}</td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-text class="flex-container">
          <v-row>
            <v-col cols="6">
              <div class="mb-1" style="text-align: start">Total</div>
            </v-col>
            <v-col cols="6">
              <div class="mb-1" style="text-align: end">
                {{ materialStore.receiptStock.total }}
              </div>
            </v-col>
          </v-row>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <div>
            <v-spacer></v-spacer>
            <v-btn
              color="green-darken-1"
              variant="text"
              @click="(materialStore.receiptDialog = false), materialStore.clear()"
            >
              close
            </v-btn>
          </div>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
